Lucene102BinaryQuantizedVectorsReader.BinarizedVectorValues (Lucene 10.5.1 backward-codecs API)
Description: declaration: package: org.apache.lucene.backward_codecs.lucene102, class: Lucene102BinaryQuantizedVectorsReader, class: BinarizedVectorValues

Package org.apache.lucene.backward_codecs.lucene102

# Class Lucene102BinaryQuantizedVectorsReader.BinarizedVectorValues

java.lang.Object
org.apache.lucene.index.KnnVectorValues
org.apache.lucene.index.FloatVectorValues
org.apache.lucene.backward_codecs.lucene102.Lucene102BinaryQuantizedVectorsReader.BinarizedVectorValues

Enclosing class:
  `Lucene102BinaryQuantizedVectorsReader`

protected static final class Lucene102BinaryQuantizedVectorsReader.BinarizedVectorValues extends FloatVectorValues
Binarized vector values holding row and quantized vector values

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.index.KnnVectorValues

  `KnnVectorValues.DocIndexIterator`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Lucene102BinaryQuantizedVectorsReader.BinarizedVectorValues`
  `copy()`
  `int`
  `dimension()`
  `Bits`
  `getAcceptOrds(Bits acceptDocs)`
  `KnnVectorValues.DocIndexIterator`
  `iterator()`
  `int`
  `ordToDoc(int ord)`
  `VectorScorer`
  `rescorer(float[] query)`
  `VectorScorer`
  `scorer(float[] query)`
  `int`
  `size()`
  `float[]`
  `vectorValue(int ord)`

  ### Methods inherited from class org.apache.lucene.index.FloatVectorValues

  `checkField, fromFloats, getEncoding`

  ### Methods inherited from class org.apache.lucene.index.KnnVectorValues

  `createDenseIterator, createSparseIterator, fromDISI, getVectorByteLength, prefetch`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### dimension

    public int dimension()
    Specified by:
      `dimension` in class `KnnVectorValues`

  - ### size

    public int size()
    Specified by:
      `size` in class `KnnVectorValues`

  - ### vectorValue

    public float[] vectorValue(int ord) throws IOException
    Specified by:
      `vectorValue` in class `FloatVectorValues`
    Throws:
      `IOException`

  - ### copy

    public Lucene102BinaryQuantizedVectorsReader.BinarizedVectorValues copy() throws IOException
    Specified by:
      `copy` in class `FloatVectorValues`
    Throws:
      `IOException`

  - ### getAcceptOrds

    public Bits getAcceptOrds(Bits acceptDocs)
    Overrides:
      `getAcceptOrds` in class `KnnVectorValues`

  - ### ordToDoc

    public int ordToDoc(int ord)
    Overrides:
      `ordToDoc` in class `KnnVectorValues`

  - ### iterator

    public KnnVectorValues.DocIndexIterator iterator()
    Overrides:
      `iterator` in class `KnnVectorValues`

  - ### scorer

    public VectorScorer scorer(float[] query) throws IOException
    Overrides:
      `scorer` in class `FloatVectorValues`
    Throws:
      `IOException`

  - ### rescorer

    public VectorScorer rescorer(float[] query) throws IOException
    Overrides:
      `rescorer` in class `FloatVectorValues`
    Throws:
      `IOException`